package com.banesco.infrastructure.dtos.osb;

import io.quarkus.runtime.annotations.RegisterForReflection;

@RegisterForReflection
public class AdditionalStatus {


    protected String statusType;

    protected String statusCode;

    protected String statusDesc;

    protected String validationType;

    protected String severity;

    protected String lineNumber;

    /**
     * Gets the value of the statusType property.
     *
     * @return possible object is
     * {@link String }
     */
    public String getStatusType() {
        return statusType;
    }

    /**
     * Sets the value of the statusType property.
     *
     * @param value allowed object is
     *              {@link String }
     */
    public void setStatusType(String value) {
        this.statusType = value;
    }

    /**
     * Gets the value of the statusCode property.
     *
     * @return possible object is
     * {@link String }
     */
    public String getStatusCode() {
        return statusCode;
    }

    /**
     * Sets the value of the statusCode property.
     *
     * @param value allowed object is
     *              {@link String }
     */
    public void setStatusCode(String value) {
        this.statusCode = value;
    }

    /**
     * Gets the value of the statusDesc property.
     *
     * @return possible object is
     * {@link String }
     */
    public String getStatusDesc() {
        return statusDesc;
    }

    /**
     * Sets the value of the statusDesc property.
     *
     * @param value allowed object is
     *              {@link String }
     */
    public void setStatusDesc(String value) {
        this.statusDesc = value;
    }

    /**
     * Gets the value of the validationType property.
     *
     * @return possible object is
     * {@link String }
     */
    public String getValidationType() {
        return validationType;
    }

    /**
     * Sets the value of the validationType property.
     *
     * @param value allowed object is
     *              {@link String }
     */
    public void setValidationType(String value) {
        this.validationType = value;
    }

    /**
     * Gets the value of the severity property.
     *
     * @return possible object is
     * {@link String }
     */
    public String getSeverity() {
        return severity;
    }

    /**
     * Sets the value of the severity property.
     *
     * @param value allowed object is
     *              {@link String }
     */
    public void setSeverity(String value) {
        this.severity = value;
    }

    /**
     * Gets the value of the lineNumber property.
     *
     * @return possible object is
     * {@link String }
     */
    public String getLineNumber() {
        return lineNumber;
    }

    /**
     * Sets the value of the lineNumber property.
     *
     * @param value allowed object is
     *              {@link String }
     */
    public void setLineNumber(String value) {
        this.lineNumber = value;
    }

}
